Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nl.liacs.subdisc
Class Histogram

    java.lang.Object
      nl.liacs.subdisc.DataCube
          nl.liacs.subdisc.Histogram

    public class Histogram

extends DataCube

Constructor Summary
`Histogram(java.lang.String[] theValues, int[] theCounts, java.lang.String theType)`

Method Summary
`void` | `debug()`
`int` | `getCount(int theIndex)`
`int` | `getCount(java.lang.String theValue)`
`int[]` | `getCounts()`
`int` | `getIndex(java.lang.String theValue)`
`int` | `getMaxCount()`
`int` | `getTotalCount()`
`java.lang.String` | `getType()`
`java.lang.String` | `getValue(int theIndex)`
`java.lang.String[]` | `getValues()`
`java.lang.String` | `toString()`

Methods inherited from class nl.liacs.subdisc.DataCube
`getSize, setSize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Histogram

    public Histogram(java.lang.String[] theValues,
                     int[] theCounts,
                     java.lang.String theType)

Method Detail

### getType

    public java.lang.String getType()

### getValue

    public java.lang.String getValue(int theIndex)

### getValues

    public java.lang.String[] getValues()

### getCount

    public int getCount(int theIndex)

### getCount

    public int getCount(java.lang.String theValue)

### getCounts

    public int[] getCounts()

### getTotalCount

    public int getTotalCount()

### getMaxCount

    public int getMaxCount()

### getIndex

    public int getIndex(java.lang.String theValue)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### debug

    public void debug()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD